<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg" src=" ../../assets/images/icn_businesstrip local.png">Business Trip Local</h2>
<div class="card formFieldsBlock">
  <div class="col-sm-12">
    <form [formGroup]="bussinesForm" (ngSubmit)="onSubmit($event)" #businessFormEl="ngForm">
      <div class="row">
        <div class="col-sm-6">
          <mat-form-field appearance="standard">
            <mat-label>Start Date</mat-label>
            
            <input matInput (click)="picker1.open()" [matDatepicker]="picker1" formControlName="startDate" required>
            <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
            <mat-datepicker #picker1></mat-datepicker>     
            <mat-error *ngIf="bussinesForm.controls['startDate'].errors?.required &&
            bussinesForm.controls['startDate'].touched">
                Please Select Start Date.
            </mat-error>
        </mat-form-field>
        </div>
        <div class="col-sm-6">
          <mat-form-field class="email-field" appearance="standard" >
            <mat-label>End Date</mat-label>            
            <input matInput  (click)="picker.open()" [matDatepicker]="picker" formControlName="endDate" required>
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>  
            <mat-error *ngIf="bussinesForm.controls['endDate'].errors?.required &&
            bussinesForm.controls['endDate'].touched">
                Please Select End Date.
            </mat-error>  
             
          </mat-form-field> 
          <p class="error" *ngIf="dateError">
            Please Select End Date Greater than Start Date.
        </p> 
        </div>
      </div> 
      <div class="row">
        <div class="col-sm-6">
          <mat-form-field appearance="standard">
            <mat-label>City</mat-label>
            <mat-select formControlName="city" reuired>
                <mat-option *ngFor="let cat of citysList;let i=index;" [value]="cat">{{cat}}</mat-option>
                 
            </mat-select>
            <mat-error *ngIf="bussinesForm.controls['city'].errors?.required &&
            bussinesForm.controls['city'].touched">
                Please Select City.
            </mat-error> 
        </mat-form-field>
        </div>
        <div class="col-sm-6">
          <mat-form-field class="email-field" appearance="standard" >
            <mat-label>Per Diem</mat-label>
            <mat-select formControlName="perDiem" reuired>
                <mat-option value="DIEM_KINGDOM">DIEM_KINGDOM</mat-option>
                
              </mat-select>   
              <mat-error *ngIf="bussinesForm.controls['perDiem'].errors?.required &&
              bussinesForm.controls['perDiem'].touched">
                  Please Select Per Diem.
              </mat-error>   
          </mat-form-field> 
        </div>
      </div>  
      <div class="row">
        <div class="col-sm-6">
          <mat-form-field appearance="standard">
            <mat-label>Air Ticket</mat-label>
            <mat-select formControlName="airTicket" required>
              <mat-option value="Yes">Yes</mat-option>
              <mat-option value="No">No</mat-option>
            </mat-select>
            <mat-error *ngIf="bussinesForm.controls['airTicket'].errors?.required &&
              bussinesForm.controls['airTicket'].touched">
                    Please Select Air Ticket.
                </mat-error>
        </mat-form-field>
        </div>
        <div class="col-sm-6">
          <mat-form-field class="email-field" appearance="standard" >
            <mat-label>Mobile No.</mat-label>
            <input matInput type="number"  formControlName="mobileNumber" maxlength="15" required autocomplete="off"  />     
            <mat-error *ngIf="bussinesForm.controls['mobileNumber'].errors?.required &&
              bussinesForm.controls['mobileNumber'].touched">
                    Please Enter Mobile No.
                </mat-error>  
          </mat-form-field> 
        </div>
      </div>  
      <div class="row">
        <div class="col-sm-6">
          <mat-form-field class="email-field" appearance="standard" >
            <mat-label>Routing</mat-label>        
              <textarea matInput maxlength="120" formControlName="routing"required></textarea> 
              <mat-error *ngIf="bussinesForm.controls['routing'].errors?.required &&
              bussinesForm.controls['routing'].touched">
                    Please Enter Routing.
                </mat-error>    
        </mat-form-field> 
        </div>
        <div class="col-sm-6">
          <mat-form-field class="email-field" appearance="standard" >
              <mat-label>Notes</mat-label>        
                <textarea matInput maxlength="120" formControlName="notes"  required></textarea>  
                <mat-error *ngIf="bussinesForm.controls['notes'].errors?.required &&
                bussinesForm.controls['notes'].touched">
                      Please Enter Notes.
                  </mat-error>   
          </mat-form-field> 
        </div>
      </div>
      <div class="col-sm-6">
        <mat-form-field class="email-field" appearance="standard" >
          <mat-label>Reason</mat-label>        
            <textarea matInput maxlength="150" formControlName="reason"  required></textarea>  
            <mat-error *ngIf="bussinesForm.controls['reason'].errors?.required &&
            bussinesForm.controls['reason'].touched">
                  Please Enter reason.
              </mat-error>   
      </mat-form-field> 
      </div><br>
      <div class="button-grp">
        <button type="reset" mat-raised-button class="button button-secondary">Reset</button>
        <button mat-raised-button  [disabled]="!bussinesForm.valid" class="button button-primary"> Submit</button>
      </div>
      </form>
  </div>
</div>

